DeluxHostAPI Reference
Account profile

Update account profile

PATCH
/v1/account/profile

Authorization

apiToken account:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: account:write

Request Body

application/json
  1. body
name?string
firstName?string
lastName?string
phone?string
address?string
city?string
postalCode?string
region?string
country?string
taxType?string
companyName?string
vatNumber?string
fiscalCode?string
sdiCode?string
sdiPec?string
marketingConsent?boolean

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
ok*boolean
curl -X PATCH 'https://api.deluxhost.net/v1/account/profile' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "ok": true}